## Patch Argo Smart Routing setting `client.Argo.SmartRouting.Edit(ctx, params) (*SmartRoutingEditResponse, error)` **patch** `/zones/{zone_id}/argo/smart_routing` Configures the value of the Argo Smart Routing enablement setting. ### Parameters - `params SmartRoutingEditParams` - `ZoneID param.Field[string]` Path param: Specifies the zone associated with the API call. - `Value param.Field[SmartRoutingEditParamsValue]` Body param: Specifies the enablement value of Argo Smart Routing. - `const SmartRoutingEditParamsValueOn SmartRoutingEditParamsValue = "on"` - `const SmartRoutingEditParamsValueOff SmartRoutingEditParamsValue = "off"` ### Returns - `type SmartRoutingEditResponse struct{…}` - `ID string` Specifies the identifier of the Argo Smart Routing setting. - `Editable bool` Specifies if the setting is editable. - `Value SmartRoutingEditResponseValue` Specifies the enablement value of Argo Smart Routing. - `const SmartRoutingEditResponseValueOn SmartRoutingEditResponseValue = "on"` - `const SmartRoutingEditResponseValueOff SmartRoutingEditResponseValue = "off"` - `ModifiedOn Time` Specifies the time when the setting was last modified. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/argo" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.Argo.SmartRouting.Edit(context.TODO(), argo.SmartRoutingEditParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Value: cloudflare.F(argo.SmartRoutingEditParamsValueOn), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.ID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "id", "editable": true, "value": "on", "modified_on": "2019-12-27T18:11:19.117Z" }, "success": true } ```